"use strict";

const { images_url } = require("../../../../../admin-frontend/src/constants");

class SoftwareThumb {
    constructor(props) {
        this.props = props;
    }

    render() {
        const {
            title,
            subtitle,
            images,
            metadata,
        } = this.props;

        return {
            tag: metadata.view_uri ? "a" : "div",
            href: metadata.view_uri,
            target: "_blank",
            class: "software-thumb",
            contents: [
                {
                    tag: "div",
                    class: "software-image",
                    contents: [
                        {
                            tag: "img", src: `${images_url}/${images[0]}`
                        }
                    ]
                },
                {
                    tag: "strong",
                    class: "software-title",
                    contents: title,
                },
                {
                    tag: "span",
                    class: "software-subtitle",
                    contents: subtitle,
                }
            ],
        };
    }
}

module.exports = SoftwareThumb;